import { defineStore } from "pinia";

const useDataStore = defineStore("data", {
  state: () => ({
    siteList: [],
  }),
  getters: {
    getSiteName: (state) => {
      return (siteId) =>
        state.siteList.find((el) => el.id === siteId)?.name || "无";
    },
  },
  actions: {
    setSiteList(list) {
      this.siteList = list;
    },
  },
});

export default useDataStore;
